package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.ParkingDevice;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-5-22 16:42
 */
public interface ParkingDeviceService {


    ParkingDevice get(Long id);
    boolean exist(Long id);
    int insert(ParkingDevice model);
    int update(ParkingDevice model);
    int delete(Long id);
    List<ParkingDevice> list();
    Page<ParkingDevice> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    ParkingDevice findByParkDeviceNo(String deviceCode);
}
